%define		libspectrum_ver	1.5.0
Summary:	Fuse utilities
Summary(pl.UTF-8):	Programy użytkowe do fuse'a
Name:		fuse-utils
Version:	1.4.3
Release:	4
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/fuse-emulator/%{name}-%{version}.tar.gz
# Source0-md5:	b1cbe93b174e83f0c8fac004d328ea70
URL:		http://fuse-emulator.sourceforge.net/
BuildRequires:	audiofile-devel >= 0.2.3
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libgcrypt-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libspectrum-devel >= %{libspectrum_ver}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	libspectrum >= %{libspectrum_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Fuse utilities are a few tools which may be of occasional use when
dealing with ZX Spectrum emulator files. They were originally
distributed with Fuse, the Free Unix Spectrum Emulator, but are now
independent of Fuse and can be used on their own.

The available utilities are:

- rzxdump: list the contents of an RZX input recording file.
- rzxtool: add, extract or remove the embedded snapshot from an RZX
  file, or compress or uncompress the file.
- tzxconv: do a best-guess conversion of a TZX file to a .tap file.
- tzxlist: list the contents of a TZX file.

%description -l pl.UTF-8
Programy użytkowe do fuse'a to kilka narzędzi, które mogą się przydać
gdy używamy plików emulatorów ZX Spectrum. Wcześniej były
dystrybuowane z Fuse - emulatorem ZX Spectrum, ale teraz są niezależne
i mogą być używane samodzielnie.

Dostępne są:

- rzxdump: wyświetla zawartość pliku RZX.
- rzxtool: dodaje, wyjmuje lub usuwa zanurzony snapshot z pliku RZX, a
  także kompresuje lub dekompresuje pliki.
- tzxconv: konwersuje pliki TZX do formatu TAP.
- tzxlist: wyświetla zawartość pliku TZX.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/audio2tape
%attr(755,root,root) %{_bindir}/createhdf
%attr(755,root,root) %{_bindir}/fmfconv
%attr(755,root,root) %{_bindir}/listbasic
%attr(755,root,root) %{_bindir}/profile2map
%attr(755,root,root) %{_bindir}/raw2hdf
%attr(755,root,root) %{_bindir}/rzxcheck
%attr(755,root,root) %{_bindir}/rzxdump
%attr(755,root,root) %{_bindir}/rzxtool
%attr(755,root,root) %{_bindir}/scl2trd
%attr(755,root,root) %{_bindir}/snap2tzx
%attr(755,root,root) %{_bindir}/snapconv
%attr(755,root,root) %{_bindir}/snapdump
%attr(755,root,root) %{_bindir}/tape2pulses
%attr(755,root,root) %{_bindir}/tape2wav
%attr(755,root,root) %{_bindir}/tapeconv
%attr(755,root,root) %{_bindir}/tzxlist
%{_mandir}/man1/audio2tape.1*
%{_mandir}/man1/createhdf.1*
%{_mandir}/man1/fmfconv.1*
%{_mandir}/man1/fuse-utils.1*
%{_mandir}/man1/listbasic.1*
%{_mandir}/man1/profile2map.1*
%{_mandir}/man1/raw2hdf.1*
%{_mandir}/man1/rzxcheck.1*
%{_mandir}/man1/rzxdump.1*
%{_mandir}/man1/rzxtool.1*
%{_mandir}/man1/scl2trd.1*
%{_mandir}/man1/snap2tzx.1*
%{_mandir}/man1/snapconv.1*
%{_mandir}/man1/snapdump.1*
%{_mandir}/man1/tape2pulses.1*
%{_mandir}/man1/tape2wav.1*
%{_mandir}/man1/tapeconv.1*
%{_mandir}/man1/tzxlist.1*
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fuse-utils.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 676e332
- rebuild with separate debuginfo build-ids

* Mon Apr 05 2021 Jan Rękorajski <baggins@pld-linux.org> 2f77104
- release 3 (by relup.sh)

* Mon Mar 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 27c58e7
- rel 2 and bumped libspectrum version

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 7dad20f
- updated to 1.4.3

* Tue May 01 2018 Witold Filipczyk <witekfl@poczta.onet.pl> cd2a42f
- updated to 1.4.1

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 559ca57
- release 2 (by relup.sh)

* Tue Dec 12 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 47d00d8
- updated to 1.4.0

* Wed Oct 11 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 8aaa052
- updated to 1.3.5

* Tue Sep 05 2017 Witold Filipczyk <witekfl@poczta.onet.pl> bdd44db
- updated to 1.3.4

* Wed Aug 02 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 12c54cf
- updated to 1.3.3
- macro libspectrumver

* Tue Jul 04 2017 Jakub Bogusz <qboosh@pld-linux.org> 513898c
- use configure option for verbose make

* Tue Jul 04 2017 Witold Filipczyk <witekfl@poczta.onet.pl> e76fe7b
- updated to 1.3.2
- verbose build
- BR: libspectrum-devel-1.3.5

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 282dd8d
- updated runtime libspectrum version

* Tue Nov 08 2016 Witold Filipczyk <witekfl@poczta.onet.pl> d5fa333
- updated to 1.3.1
- force libspectrum-devel version to make sure new fatures are compiled-in

* Mon Oct 03 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 581cd85
- updated to 1.3.0

* Mon Aug 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 29e7e83
- updated dependencies

* Wed Aug 24 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 1715280
- updated to 1.2.2

* Fri Jun 10 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 6aad4a7
- ffmpeg-devel is not required

* Fri Jun 10 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 422a371
- updated to 1.2.0
- patches obsolete (probably)

* Mon Apr 04 2016 Jan Rękorajski <baggins@pld-linux.org> 558492f
- ffmpeg and gcc build fixes
- rel 5

